Updates the password data

Updates the password with information passed to it. Note that a password value exceeding 150 digits will be ignored.

Path Params
integer
required

Password ID

Body Params

JSON object containing the password details to update. Only the fields provided will be updated.

string

Password Username

string

Password Description

string

Password Value

integer

Credential Type ID. Note that only one of two parameters(credentialTypeId, credentialTypeName) can be present.

string

Credential Type Name. Note that only one of two parameters(credentialTypeId, credentialTypeName) can be present.

integer

Client ID

integer

Folder ID. Omit this field if pointing to root folder. Note that only one of two parameters(folderId, folderName) can be present.

string

Folder Name. Note that only one of two parameters(folderId, folderName) can be present.

string

Password Notes

string

Password URL

string

Password TOTP Secret Key

boolean

Password Rotation - true: On, false: Off.

Headers
string
required

API authorization token

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json